Subject: [os2genau_digest] No. 1248
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Mon, 23 Jan 2006 00:02:34 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Sunday 22 January 2006
 Number  1248
**************************************************

Subjects for today
 
1  Re:  Print Server Configuration - help please : Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
2  Re:  eCS 1.2 and printing from Faxworks/PMFax : Kris Steenhaut <kris.steenhaut at hccnet.nl>
3  Re:  Print Server Configuration - help please : Ed Durrant <edurrant at bigpond dot net dot au>
4  Re:  Print Server Configuration - help please : Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
5  Re:  Print Server Configuration - help please : Ed Durrant <edurrant at bigpond dot net dot au>

**= Email   1 ==========================**

Date:  Sun, 22 Jan 2006 09:49:56 +1100 (EDT)
From:  "Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
Subject:  Re:  Print Server Configuration - help please

On Sat, 21 Jan 2006 11:38:23 +1100 (AEDT), John Angelico wrote:

>On Sat, 21 Jan 2006 08:16:14 +1100, Ed Durrant wrote:
>
>Hi Ed.
>
>Many thanks for ther detailed instructions.
>
>>
>>   Although some, like yours can use Netbios my experience is the 
>>simplest way to set them up is to use TCPIP. You will need to load the 
>>line printer daemon (LPD) on OS/2 - there are alternative (faster) 
>>options but I generally find the one built into the OS/2 TCPIP stack to 
>>be the most reliable and compatible.
>>
>>   So go to a command line and run TCPCFG2.
>
>First question: in this network of 4 machines, plus hubs and a couple of
>transient ThinkPads, on *which* machine should I be running TCPCFG2? 
>
>Then: should I run TCPCFG2 on each machine in turn?

All of them.

But, Ed's instructions appear to get you to set up a LOCAL printer
definition. That you should be able to share, so that ia appears to be a
network printer to all of the other machines, in which case you should be
able to use NETGUI to configure the accounts to use it as necessary and not
use tcpcfg2 on the other machines at all.

That assumes you are using a domain with a domain controller (and people
wonder why I still have WSeB...). If you are running a peer based
workgroup, then you'll have to add the remote network printer on each
machine.

-Chris

WarpSpeed Computers - The Graham Utilities for OS/2.
Voice:  +61-3-9395-1504   Internet:   chrisg at warpspeed dot com dot au
FAX:    +61-3-9395-7633   Web Page:   http://www.warpspeed dot com dot au
Postal: WarpSpeed Computers, PO Box 4293, Hoppers Crossing DC, VIC 3029, AUSTRALIA

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Sun, 22 Jan 2006 01:12:30 +0100
From:  Kris Steenhaut <kris.steenhaut at hccnet.nl>
Subject:  Re:  eCS 1.2 and printing from Faxworks/PMFax

Wayne schreef:

>>   
>>Now, are you speaking about PMview or PMFax? 
>>   
>>--  
>>Groeten uit Gent, 
>>   
>>   Kris 
>>   
>>    
>>
> 
> 
>This thread seems to be getting side tracked.  What John needs is suggestions 
>about his original question. 
> 
>  
>
Exactly. Was it about PMfax or PMview. Rwo quite different beasts in case you shouldn't know. And a bettter quoting would be very much appreciated.

-- 
Groeten uit Gent,

   Kris

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Sun, 22 Jan 2006 14:38:29 +1100
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  Print Server Configuration - help please

Chris Graham [WarpSpeed] wrote:
> On Sat, 21 Jan 2006 11:38:23 +1100 (AEDT), John Angelico wrote:
> 
>> On Sat, 21 Jan 2006 08:16:14 +1100, Ed Durrant wrote:
>>
>> Hi Ed.
>>
>> Many thanks for ther detailed instructions.
>>
>>>   Although some, like yours can use Netbios my experience is the 
>>> simplest way to set them up is to use TCPIP. You will need to load the 
>>> line printer daemon (LPD) on OS/2 - there are alternative (faster) 
>>> options but I generally find the one built into the OS/2 TCPIP stack to 
>>> be the most reliable and compatible.
>>>
>>>   So go to a command line and run TCPCFG2.
>> First question: in this network of 4 machines, plus hubs and a couple of
>> transient ThinkPads, on *which* machine should I be running TCPCFG2? 
>>
>> Then: should I run TCPCFG2 on each machine in turn?
> 
> All of them.
> 
> But, Ed's instructions appear to get you to set up a LOCAL printer
> definition. That you should be able to share, so that ia appears to be a
> network printer to all of the other machines, in which case you should be
> able to use NETGUI to configure the accounts to use it as necessary and not
> use tcpcfg2 on the other machines at all.
> 
> That assumes you are using a domain with a domain controller (and people
> wonder why I still have WSeB...). If you are running a peer based
> workgroup, then you'll have to add the remote network printer on each
> machine.
> 
> -Chris
> 

No Chris - the real "Gotcha" of an LPRD / TCPIP printer is that it is a 
local printer. A network printer is one that you have to go via another 
server (with a print queue) to get to.

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Sun, 22 Jan 2006 16:36:24 +1100 (EDT)
From:  "Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
Subject:  Re:  Print Server Configuration - help please

On Sun, 22 Jan 2006 14:38:29 +1100, Ed Durrant wrote:

>Chris Graham [WarpSpeed] wrote:
>> On Sat, 21 Jan 2006 11:38:23 +1100 (AEDT), John Angelico wrote:
>> 
>>> On Sat, 21 Jan 2006 08:16:14 +1100, Ed Durrant wrote:
>>>
>>> Hi Ed.
>>>
>>> Many thanks for ther detailed instructions.
>>>
>>>>   Although some, like yours can use Netbios my experience is the 
>>>> simplest way to set them up is to use TCPIP. You will need to load the 
>>>> line printer daemon (LPD) on OS/2 - there are alternative (faster) 
>>>> options but I generally find the one built into the OS/2 TCPIP stack to 
>>>> be the most reliable and compatible.
>>>>
>>>>   So go to a command line and run TCPCFG2.
>>> First question: in this network of 4 machines, plus hubs and a couple of
>>> transient ThinkPads, on *which* machine should I be running TCPCFG2? 
>>>
>>> Then: should I run TCPCFG2 on each machine in turn?
>> 
>> All of them.
>> 
>> But, Ed's instructions appear to get you to set up a LOCAL printer
>> definition. That you should be able to share, so that ia appears to be a
>> network printer to all of the other machines, in which case you should be
>> able to use NETGUI to configure the accounts to use it as necessary and not
>> use tcpcfg2 on the other machines at all.
>> 
>> That assumes you are using a domain with a domain controller (and people
>> wonder why I still have WSeB...). If you are running a peer based
>> workgroup, then you'll have to add the remote network printer on each
>> machine.
>> 
>> -Chris
>> 
>
>No Chris - the real "Gotcha" of an LPRD / TCPIP printer is that it is a 
>local printer. A network printer is one that you have to go via another 
>server (with a print queue) to get to.

No Ed - that is exactly what I am saying.

What I was suggesting is that you had one machine that you use the local
printer defintion on, which by definition gives you a print queue. My
suggestion was simply to share it and have the other machines use it as a
remote network printer.

-Chris

WarpSpeed Computers - The Graham Utilities for OS/2.
Voice:  +61-3-9395-1504   Internet:   chrisg at warpspeed dot com dot au
FAX:    +61-3-9395-7633   Web Page:   http://www.warpspeed dot com dot au
Postal: WarpSpeed Computers, PO Box 4293, Hoppers Crossing DC, VIC 3029, AUSTRALIA

----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Sun, 22 Jan 2006 17:42:06 +1100
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  Print Server Configuration - help please

Chris Graham [WarpSpeed] wrote:
> On Sun, 22 Jan 2006 14:38:29 +1100, Ed Durrant wrote:
> 
>> Chris Graham [WarpSpeed] wrote:
>>> On Sat, 21 Jan 2006 11:38:23 +1100 (AEDT), John Angelico wrote:
>>>
>>>> On Sat, 21 Jan 2006 08:16:14 +1100, Ed Durrant wrote:
>>>>
>>>> Hi Ed.
>>>>
>>>> Many thanks for ther detailed instructions.
>>>>
>>>>>   Although some, like yours can use Netbios my experience is the 
>>>>> simplest way to set them up is to use TCPIP. You will need to load the 
>>>>> line printer daemon (LPD) on OS/2 - there are alternative (faster) 
>>>>> options but I generally find the one built into the OS/2 TCPIP stack to 
>>>>> be the most reliable and compatible.
>>>>>
>>>>>   So go to a command line and run TCPCFG2.
>>>> First question: in this network of 4 machines, plus hubs and a couple of
>>>> transient ThinkPads, on *which* machine should I be running TCPCFG2? 
>>>>
>>>> Then: should I run TCPCFG2 on each machine in turn?
>>> All of them.
>>>
>>> But, Ed's instructions appear to get you to set up a LOCAL printer
>>> definition. That you should be able to share, so that ia appears to be a
>>> network printer to all of the other machines, in which case you should be
>>> able to use NETGUI to configure the accounts to use it as necessary and not
>>> use tcpcfg2 on the other machines at all.
>>>
>>> That assumes you are using a domain with a domain controller (and people
>>> wonder why I still have WSeB...). If you are running a peer based
>>> workgroup, then you'll have to add the remote network printer on each
>>> machine.
>>>
>>> -Chris
>>>
>> No Chris - the real "Gotcha" of an LPRD / TCPIP printer is that it is a 
>> local printer. A network printer is one that you have to go via another 
>> server (with a print queue) to get to.
> 
> No Ed - that is exactly what I am saying.
> 
> What I was suggesting is that you had one machine that you use the local
> printer defintion on, which by definition gives you a print queue. My
> suggestion was simply to share it and have the other machines use it as a
> remote network printer.
> 
> -Chris

My instruction was not to set up a system to share the printer - rather 
to set all systems to send their data to the printer (or in fact the 
printer sharing hardware (Intel Proshare) box).

Cheers/2

Ed.
----------------------------------------------------------------------------------